aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorGuilhem Moulin <guilhem@fripost.org>2013-11-22 16:09:53 +0100
committerGuilhem Moulin <guilhem@fripost.org>2015-06-07 04:27:46 +0200
commit7870977adc6e8aec370b182561c3dd767a97322e (patch)
tree0f41caba27afd51fc7348ae66a34f50a5061d71a
parentc131b634d2b34e3b5161d3caf6efb98b2ec7a1ee (diff)
Fix shell traps.
-rw-r--r--src/fripost-partman-udeb/base.sh6
1 files changed, 3 insertions, 3 deletions
diff --git a/src/fripost-partman-udeb/base.sh b/src/fripost-partman-udeb/base.sh
index bca1ea2..3266bc6 100644
--- a/src/fripost-partman-udeb/base.sh
+++ b/src/fripost-partman-udeb/base.sh
@@ -81,7 +81,7 @@ fripost_wipe() {
fifo=$(mktemp -u)
/bin/mknod "$fifo" p || exit 1
- trap 'echo kill $pid' EXIT
+ trap 'kill $pid' EXIT
$wipe 2> "$fifo" & pid=$!
heartbeat $pid USR1 &
@@ -282,7 +282,7 @@ fripost_encrypt() {
fifo=$(mktemp -u)
/bin/mknod "$fifo" p || exit 1
- trap 'echo kill $pid' EXIT
+ trap 'kill $pid' EXIT
stdbuf /sbin/cryptsetup -q "$@" --key-file="$keyfile" luksFormat "$device" \
| stdbuf sed -nr 's/^Generating key \(([0-9]+)% done\)\.$/\1/p' > "$fifo" & pid=$!
@@ -374,7 +374,7 @@ fripost_mkfs() {
fifo=$(mktemp -u)
/bin/mknod "$fifo" p || exit 1
- trap 'echo kill $pid' EXIT
+ trap 'kill $pid' EXIT
/sbin/mkfs."$type" "$@" "$device" | tr '\b' '\n' > "$fifo" & pid=$!
while read -u 7 line; do